# classes/phing/types/FileList.php

## \FileList
jump to top

FileList represents an explicitly named list of files. FileLists are useful when you want to capture a list of files regardless of whether they currently exist.

OR

(or a mixture of files="" and listfile="" can be used)

Extends from
  \DataType
author
  Hans Lellelid
package
  phing.types
version
  $Revision: 526 $

### Properties

`$dir= ''`

Base directory for this file list.

Details

Type

`$filenames= 'array'`

Array containing all filenames.

Default value `array` Details

Type

`$listfile= ''`

PhingFile that contains a list of files (one per line).

Details

Type

### Methods

`__construct( $filelist = null ) :`
Construct a new FileList.
Parameters

Name | Type | Description
--- | --- | ---
$filelist |  |

`getDir( $p ) : \PhingFile`
Get the basedir for files in list.
Parameters

Name | Type | Description
--- | --- | ---
$p |  |

Returns

Type | Description
--- | ---
\PhingFile |

`getFiles( \Project $p ) : array`
Returns the list of files represented by this FileList.
Parameters

Name | Type | Description
--- | --- | ---
$p | \Project |

Returns

Type | Description
--- | ---
array |

`getListFile( \Project $p ) : \PhingFile`
Get the source "list" file that contains file names.
Parameters

Name | Type | Description
--- | --- | ---
$p | \Project |

Returns

Type | Description
--- | ---
\PhingFile |

`getRef( \Project $p ) :`
Performs the check for circular references and returns the referenced FileSet.
Parameters

Name | Type | Description
--- | --- | ---
$p | \Project |

`readListFile( \Project $p ) :`
Reads file names from a file and adds them to the files array.
Parameters

Name | Type | Description
--- | --- | ---
$p | \Project |

`setDir( \PhingFile $dir ) :`
Base directory for files in list.
Parameters

Name | Type | Description
--- | --- | ---
$dir | \PhingFile |

`setFiles( array $filenames ) :`
Set the array of files in list.
Parameters

Name | Type | Description
--- | --- | ---
$filenames | array |

`setListFile( string $file ) :`
Sets a source "list" file that contains filenames to add -- one per line.
Parameters

Name | Type | Description
--- | --- | ---
$file | string |

`setRefid( $r ) :`
Makes this instance in effect a reference to another FileList instance.
Parameters

Name | Type | Description
--- | --- | ---
$r |  |

Documentation was generated by DocBlox 0.13.1.